all options
jessie  ] [  stretch  ] [  buster  ] [  bullseye  ] [  sid  ]
[ Source: libtest-modern-perl  ]

Package: libtest-modern-perl (0.013-2)

Links for libtest-modern-perl

Screenshot

Debian Resources:

Download Source Package libtest-modern-perl:

Maintainers:

External Resources:

Similar packages:

precision testing for modern perl

Test::Modern provides the best features of Test::More, Test::Fatal, Test::Warnings, Test::API, Test::LongString, and Test::Deep, as well as ideas from Test::Requires, Test::DescribeMe, Test::Moose, and Test::CleanNamespaces.

Test::Modern also automatically imposes strict and warnings on your script, and loads IO::File. (Much of the same stuff Modern::Perl does.)

Although Test::Modern is a modern testing framework, it should run fine on pre-modern versions of Perl. It should be easy to install on Perl 5.8.9 and above; and if you can persuade its dependencies to install (not necessarily easy!), should be OK on anything back to Perl 5.6.1.

Tags: Software Development: Perl Development, Libraries, Implemented in: Perl

Other Packages Related to libtest-modern-perl

  • depends
  • recommends
  • suggests
  • enhances

Download libtest-modern-perl

Download for all available architectures
Architecture Package Size Installed Size Files
all 35.9 kB77.0 kB [list of files]